Loading...
Searching...
No Matches
Opm::SimpleTable Class Reference
Inheritance diagram for Opm::SimpleTable:

## Public Member Functions

| SimpleTable (TableSchema, const std::string &tableName, const DeckItem &deckItem, const int tableID)
| SimpleTable (TableSchema)
void | addColumns ()
void | init (const std::string &tableName, const DeckItem &deckItem, const int tableID, double scaling_factor=0.0)
| Initialize deck item.
size_t | numColumns () const
size_t | numRows () const
void | addRow (const std::vector< double > &row, const std::string &tableName)
const TableColumn & | getColumn (const std::string &name) const
const TableColumn & | getColumn (size_t colIdx) const
bool | hasColumn (const std::string &name) const
TableColumn & | getColumn (const std::string &name)
TableColumn & | getColumn (size_t colIdx)
double | get (const std::string &column, size_t row) const
double | get (size_t column, size_t row) const
double | evaluate (const std::string &columnName, double xPos) const
| Evaluate a column of the table at a given position.
void | assertJFuncPressure (const bool jf) const
| throws std::invalid_argument if jf != m_jfunc
bool | operator== (const SimpleTable &data) const
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static SimpleTable | serializationTestObject ()

## Protected Attributes

TableSchema | m_schema
OrderedMap< TableColumn > | m_columns
bool | m_jfunc = false

## Member Function Documentation

## evaluate()

double Opm::SimpleTable::evaluate | ( | const std::string & | columnName,
|  | double | xPos ) const

Evaluate a column of the table at a given position.

This method uses linear interpolation and always uses the first column as the X coordinate.

## init()

void Opm::SimpleTable::init | ( | const std::string & | tableName,
|  | const DeckItem & | deckItem,
|  | const int | tableID,
|  | double | scaling_factor = 0.0 )

Initialize deck item.

Parameters

  tableName | Name of table to initialize
  deckItem | item to initialize
  tableID | Index for table to initialize
  scaling_factor | If zero use SI value, else use value scaled by scaling factor

The documentation for this class was generated from the following files:

- opm/input/eclipse/EclipseState/Tables/SimpleTable.hpp
- opm/input/eclipse/EclipseState/Tables/SimpleTable.cpp